org.eclipse.aether.transfer

## Class TransferCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.TransferCancelledException

- All Implemented Interfaces:
    Serializable

      public class TransferCancelledException
      extends RepositoryException

  Thrown in case an upload/download was cancelled (e.g. due to user request).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferCancelledException()` Creates a new exception with a stock detail message.
    `TransferCancelledException(String message)` Creates a new exception with the specified detail message.
    `TransferCancelledException(String message, Throwable cause)` Creates a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferCancelledException

          public TransferCancelledException()

      Creates a new exception with a stock detail message.

    - #### TransferCancelledException

          public TransferCancelledException(String message)

      Creates a new exception with the specified detail message.
      Parameters:
        `message` - The detail message, may be `null`.

    - #### TransferCancelledException

          public TransferCancelledException(String message,
                                    Throwable cause)

      Creates a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.